FROM jenkins/jenkins:latest

USER root

# Install Docker and other dependencies
RUN apt-get update && \
    apt-get install -y docker.io && \
    apt-get clean

# Add jenkins user to the docker group
RUN usermod -aG docker jenkins

USER jenkins